#include <stdio.h>

int progress(int);

int main()
{
    int steps;
    printf("How many steps does the ladder have? ");
    scanf("%d ", &steps);

    int result = progress(steps);
    printf("The robot successfully performed %d operations.\n", result);
    return 0;
}

int progress(int numSteps)
{
    int current = 1; /* current step of the ladder */
    int instruction = 0;

    printf("Enter the instruction sequence: ");

    int nextChar;
    while ( (nextChar = getchar()) != '\n')
    {
        instruction++;

        switch(nextChar)
        {
            case 'r':   current = 1;
                        printf("Moved back to step 1.\n");
                        break;
            case '-':   if (current > 1)
                        {
                            current--;
                        }
                        printf("Moved down to step %d\n", current);
                        break;
            case '+':   current++;
                        if (current > numSteps)
                        {
                            printf("Boom!\n");
                            return instruction;
                        }
                        else
                        {
                            printf("Moved up to step %d\n", current);
                        }
        }
    }

    return instruction;
}









